NAME
	`- - subtract/negate

SYNTAX
	- a
	or
	`-(mixed a);
	or
	a - b
	or
	mixed `-(mixed a, mixed b)

DESCRIPTION
	This is the negation and subtraction operator, for ints and floats
	the operation should be obvious.

	For arrays, an array containing all elements present in a and not in
	b is returne. The order of the remaining values from a will be kept.

	For multisets, the same operation is done as for arrays, except order is
	of course not considered.

	For mappings, a mapping is returned with every key-index pair from
	a whos index is not present as an index in b.
	
EXAMPLES
	5-10    	returns -5
	10-2.0   	returns 8.0
	({1,2})-({2})	returns ({1})
	([1:2,2:1])-([1:0])	returns ([2:1])

KEYWORDS
	operators

SEE ALSO
	`+
